## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseIndexMember

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, IndexMember, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASEFuncBasedIndexMember

All Known Implementing Classes:
  SybaseASEFuncBasedIndexMemberImpl, SybaseIndexMemberImpl

    public interface SybaseIndexMember

extends IndexMember

A representation of the model object 'Sybase Index Member'.

The following features are supported:

- `Column Expression`

See Also:
  `SybasesqlmodelPackage.getSybaseIndexMember()`

Method Summary
`java.lang.String` `getColumnExpression()` Returns the value of the 'Column Expression' attribute.
`void` `setColumnExpression(java.lang.String value)` Sets the value of the '`Column Expression`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.IndexMember
`getColumn, getIncrementType, setColumn, setIncrementType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumnExpression

    java.lang.String getColumnExpression()

  Returns the value of the 'Column Expression' attribute. The default value is `""`.

  If the meaning of the 'Column Expression' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Expression' attribute.
  See Also:
    `setColumnExpression(String)`, `SybasesqlmodelPackage.getSybaseIndexMember_ColumnExpression()`

### setColumnExpression

    void setColumnExpression(java.lang.String value)

  Sets the value of the '`Column Expression`' attribute.

  Parameters:
    `value` - the new value of the 'Column Expression' attribute.
  See Also:
    `getColumnExpression()`